ThreadNetworkManagementTrait.JoinNetworkCommand.Response

class ThreadNetworkManagementTrait.JoinNetworkCommand.Response : ClusterStruct


The response from the JoinNetwork command, containing the status of the command.

Summary

Nested types

Descriptor enum for this command's response fields.

Public constructors

Creates a response payload from the JoinNetwork command.

Public functions

open StructDescriptor

Returns the descriptor for the struct.

open Any?

Returns the value of the field for the given tag ID.

Public properties

ThreadNetworkManagementTrait.NetworkOperationStatus

The status of the JoinNetwork command.

Public constructors

Response

Response(
    status: ThreadNetworkManagementTrait.NetworkOperationStatus = NetworkOperationStatus.Unspecified
)

Creates a response payload from the JoinNetwork command.

Public functions

getDescriptor

@HomeExperimentalGenericApi
open fun getDescriptor(): StructDescriptor

Returns the descriptor for the struct.

getFieldValueById

@HomeExperimentalGenericApi
open fun getFieldValueById(tagId: UInt): Any?

Returns the value of the field for the given tag ID.

Public properties

status

val statusThreadNetworkManagementTrait.NetworkOperationStatus

The status of the JoinNetwork command.